curl --request GET \
--url https://app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/{id}/public \
--header 'BLINK-API-KEY: <api-key>'import requests
url = "https://app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/{id}/public"
headers = {"BLINK-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'BLINK-API-KEY': '<api-key>'}};
fetch('https://app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/{id}/public', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actions": [
{
"action_full_name": "<string>",
"collection_icon_uri": "<string>",
"collection_name": "<string>",
"full_name": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"active": true,
"analyst_copilot_workflow": true,
"automation_origin_id": "<string>",
"automation_type": "<string>",
"branch": "<string>",
"branched_from": 123,
"created_at": 123,
"created_by": "<string>",
"custom_timeout": 123,
"deleted": "<string>",
"display_settings": {
"description": "Automates common tasks",
"display_as_html": true,
"icon": "company-blink",
"name": "Blink Automation"
},
"has_published_version": true,
"icon": "company-blink",
"id": "<string>",
"is_icon_selected_by_user": true,
"is_otb": true,
"is_published": true,
"is_request": true,
"link_type": "<string>",
"max_concurrency_level": 123,
"name": "My Workflow",
"notification_emails": "<string>",
"pack": {
"actions": [
"<string>"
],
"created_at": 123,
"created_by": "<string>",
"deployed_from_other_ws_at": 123,
"deployed_from_ws_name": "<string>",
"description": "<string>",
"display_name": "<string>",
"full_name": "<string>",
"has_replica_connection_mapping": true,
"id": "<string>",
"is_replica_connections_valid": true,
"link_type": "<string>",
"name": "<string>",
"primary_pack_id": "<string>",
"tags": [
"<string>"
],
"tenant_id": "<string>",
"updated_at": 123,
"updated_by": "<string>",
"workspace_id": "<string>"
},
"pack_id": "00000000-0000-0000-0000-000000000000",
"playbook": "<string>",
"playbook_to_run_on_error": "<string>",
"preferred_engine_version": "<string>",
"runner": "<string>",
"source": "<string>",
"step_transition_limit": 123,
"subflows_reference_to_name_mapping": {},
"tags": [
"k8s"
],
"tenant_id": "<string>",
"updated_at": 123,
"updated_by": "<string>",
"used_connections": [
"<string>"
],
"used_global_variables": [
"<string>"
],
"used_subflows": [
"<string>"
],
"used_tables": [
"<string>"
],
"version": "1",
"version_id": 123,
"wizard_id": "<string>",
"workspace_id": "<string>"
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Get the latest public playbook version for a playbook
API endpoint to retrieve the latest published version of a playbook in Blink.
Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Path Parameters
The ID of the workspace containing the playbook
The ID of the playbook to retrieve the version of
Response
Latest public version
Playbook version data
List of actions used in the playbook
Show child attributes
Show child attributes
Whether the playbook is currently active
Whether this is an Analyst Copilot workflow
The ID of the original playbook if this is a replica
The type of automation
Custom execution timeout in hours
When the playbook was deleted
Settings for displaying the playbook in the self-service portal.
Show child attributes
Show child attributes
The icon associated with the playbook
"company-blink"
Whether the icon was manually selected
Whether this is an Out-Of-The-Box playbook
Whether the playbook is exposed as a self-service request
Playbook version's link type
Maximum number of concurrent executions (0 for unlimited)
The name of the playbook
"My Workflow"
A comma-separated list of emails for notifications
Show child attributes
Show child attributes
The ID of the automation pack containing this playbook
"00000000-0000-0000-0000-000000000000"
The YAML definition of the playbook
The ID of the playbook to run if this one fails
The preferred workflow engine version
The name of the runner group assigned to this playbook
Maximum number of step transitions allowed in a single execution
Subflow reference IDs to playbook names mapping
Show child attributes
Show child attributes
Tags associated with the playbook
["k8s"]
The ID of the parent tenant
List of connection IDs used by the playbook
List of used global variables
List of subflow IDs used by the playbook
List of used tables
The version of the playbook
"1"
The ID of the wizard used to create this playbook
The ID of the parent workspace
Was this page helpful?